Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.util
Class FixedByteArray

    java.lang.Object
      org.exist.util.FixedByteArray

All Implemented Interfaces:
  ByteArray

public class FixedByteArray
extends java.lang.Object
implements ByteArray

Constructor Summary
`FixedByteArray(byte[] data)`
`FixedByteArray(byte[] data, int start, int len)`

Method Summary
`void` | `append(byte b)`
`void` | `append(byte[] b)`
`void` | `append(byte[] b, int offset, int length)`
`void` | `copyTo(byte[] b, int offset)`
`void` | `copyTo(ByteArray other)`
`void` | `copyTo(java.nio.ByteBuffer buf)`
`void` | `copyTo(int startOffset, byte[] newBuf, int offset, int count)`
`void` | `copyTo(int startOffset, java.nio.ByteBuffer buf, int count)`
`void` | `release()`
`void` | `setLength(int len)`
`int` | `size()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FixedByteArray

    public FixedByteArray(byte[] data,
                          int start,
                          int len)

### FixedByteArray

    public FixedByteArray(byte[] data)

Method Detail

### setLength

    public void setLength(int len)

  Specified by:
    `setLength` in interface `ByteArray`

### toString

    public java.lang.String toString()

### copyTo

    public void copyTo(byte[] b,
                       int offset)

  Specified by:
    `copyTo` in interface `ByteArray`

### copyTo

    public void copyTo(int startOffset,
                       byte[] newBuf,
                       int offset,
                       int count)

  Specified by:
    `copyTo` in interface `ByteArray`

### copyTo

    public void copyTo(ByteArray other)

  Specified by:
    `copyTo` in interface `ByteArray`

### copyTo

    public void copyTo(java.nio.ByteBuffer buf)

  Specified by:
    `copyTo` in interface `ByteArray`

### copyTo

    public void copyTo(int startOffset,
                       java.nio.ByteBuffer buf,
                       int count)

  Specified by:
    `copyTo` in interface `ByteArray`

### append

    public void append(byte b)

  Specified by:
    `append` in interface `ByteArray`

### append

    public void append(byte[] b)

  Specified by:
    `append` in interface `ByteArray`

### append

    public void append(byte[] b,
                       int offset,
                       int length)

  Specified by:
    `append` in interface `ByteArray`

### size

    public int size()

  Specified by:
    `size` in interface `ByteArray`

### release

    public void release()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.